## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/gmeshskel.h File Reference

General mesh object skeletal animation. More...

`#include "csutil/scf.h"`
`#include "imesh/genmesh.h"`

Go to the source code of this file.

## Classes

struct | iGenMeshSkeletonBone
struct | iGenMeshSkeletonBoneUpdateCallback
| @@ Document me More...
struct | iGenMeshSkeletonControlFactory
| @@ Document me More...
struct | iGenMeshSkeletonControlState
| This interface describes the API for setting up the skeleton animation control as implemented by the 'gmeshskelanim' plugin. More...
struct | iGenMeshSkeletonScript
| @@ Document me More...

## Enumerations

enum | csAULevel
enum | csBoneTransformMode

## Detailed Description

General mesh object skeletal animation.

Definition in file gmeshskel.h.